@import '~@guildion/next/styles/component.module.scss';

.container {
  width: 100%;
  height: 100%;
  background-color: var(--background-subm1);
  position: relative;
}

.header {
  width: 100%;
  height: 380px;
  background: linear-gradient(to left, var(--element-main), var(--element-sub));
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  &-text {
    font-size: 64px;
    font-family: var(--default-font-family);
    color: var(--element-default);
    text-align: center;
    margin-top: 24px;
    font-weight: bold;
  }
}

.aside {
  padding: 120px 0;
  width: 100%;
  height: 100%;
  position: relative;
  z-index: 1;
  flex: 1 1;
  &-inner {
    max-width: 1000px;
    width: 100%;
    height: 100%;
    margin: 0 auto;
    display: grid;
    grid-gap: 3.2rem;
    grid-template-areas: "sidebar content";
    grid-template-columns: auto 700px;
    grid-template-rows: auto;
  }
}

.side {
  position: relative;
  width: auto;
  height: 100%;
  grid-area: sidebar;
  &-inner {
    position: sticky;
    top: 160px;
  }
  &-sections {
    padding: 0;
    margin: 0;
    list-style: none;
    width: 100%;
    height: 100%;
  }
  &-section {
    width: 100%;
    padding-bottom: 20px;
    font-size: 16px;
    text-align: left;
    font-family: var(--default-font-family);
    color: var(--element-default);
    &#active {
      color: var(--element-link);
    }
    & a {
      @include make-transition;
      &:hover {
        @include make-transition;
        opacity: .7;
      }
    }
  }
}

.contents {
  width: auto;
  height: 100%;
  position: relative;
  grid-area: content;
  &-inner {
    width: 100%;
    height: 100%;
    position: relative;
  }
  &-header {
    width: 100%;
    padding-bottom: 36px;
    border-bottom-width: 1px;
    border-bottom-color: var(--background-subp2);
    &_title {
      width: 100%;
      font-size: 64px;
      font-family: var(--default-font-family);
      color: var(--element-default);
      text-align: left;
      font-weight: bold;
    }
  }
  &-sections {
    padding-top: 44px;
    list-style: none;
    width: 100%;
    height: 100%;
  }
  &-section {
    width: 100%;
    padding-top: 88px;
    padding-bottom: 36px;
    border-bottom-width: 1px;
    border-bottom-color: var(--background-subp2);
    margin-bottom: 12px;
    position: sticky;
    z-index: 2;
    top: 0px;
    background-color: var(--background-subm1);
    &_inner {
      width: 100%;
      padding-bottom: 64px;
      position: relative;
      z-index: 1;
    }
    &_title {
      width: 100%;
      &-inner {
        display: inline;
        font-size: 32px;
        font-family: var(--default-font-family);
        color: var(--element-default);
        text-align: left;
        font-weight: bold;
        @include make-transition;
        &:hover {
          @include make-transition;
          opacity: .7;
          text-decoration: underline;
        }
      }
    }
  }
  &-documents {
    list-style: none;
    width: 100%;
    height: 100%;
    padding-top: 20px;
    padding-bottom: 20px;
    padding-left: 4px;
  }
  &-document {
    width: 100%;
    padding-top: 32px;
    padding-bottom: 32px;
    &_title {
      font-size: 18px;
      font-family: var(--default-font-family);
      color: var(--element-default);
      text-align: left;
      font-weight: bold;
      @include make-transition;
    }
    &_description {
      padding: 20px 0;
      font-size: 16px;
      font-family: var(--default-font-family);
      color: var(--element-default);
      text-align: left;
      @include make-transition;
    }
    &_link {
      @include make-transition;
      & svg {
        @include make-transition;
      }
      &:hover {
        @include make-transition;
        opacity: .7;
        & * {
          @include make-transition;
          opacity: .7;
        }
      }
    }
    &_button {
      display: flex;
      justify-content: flex-start;
      align-items: center;
      &-title {
        font-size: 16px;
        font-family: var(--default-font-family);
        color: var(--element-link);
        text-align: left;
        @include make-transition;
      }
    }
  }
}